import * as Types from './LineTypes';
declare function createText(text: string, options?: Types.MessageOptions & {
    emojis?: Types.Emoji[];
}): Types.TextMessage;
declare function createImage(image: {
    originalContentUrl: string;
    previewImageUrl?: string;
}, options?: Types.MessageOptions): Types.ImageMessage;
declare function createVideo(video: {
    originalContentUrl: string;
    previewImageUrl: string;
}, options?: Types.MessageOptions): Types.VideoMessage;
declare function createAudio(audio: {
    originalContentUrl: string;
    duration: number;
}, options?: Types.MessageOptions): Types.AudioMessage;
declare function createLocation({ title, address, latitude, longitude }: Types.Location, options?: Types.MessageOptions): Types.LocationMessage;
declare function createSticker(sticker: Omit<Types.StickerMessage, 'type'>, options?: Types.MessageOptions): Types.StickerMessage;
declare function createImagemap(altText: string, { baseUrl, baseSize, video, actions, }: Omit<Types.ImagemapMessage, 'type' | 'altText'>, options?: Types.MessageOptions): Types.ImagemapMessage;
declare function createTemplate<T extends Types.Template>(altText: string, template: T, options?: Types.MessageOptions): Types.TemplateMessage<T>;
declare function createButtonTemplate(altText: string, { thumbnailImageUrl, imageAspectRatio, imageSize, imageBackgroundColor, title, text, defaultAction, actions, }: {
    thumbnailImageUrl?: string;
    imageAspectRatio?: 'rectangle' | 'square';
    imageSize?: 'cover' | 'contain';
    imageBackgroundColor?: string;
    title?: string;
    text: string;
    defaultAction?: Types.Action;
    actions: Types.Action[];
}, options?: Types.MessageOptions): Types.TemplateMessage<Types.ButtonsTemplate>;
declare function createConfirmTemplate(altText: string, { text, actions, }: {
    text: string;
    actions: Types.Action[];
}, options?: Types.MessageOptions): Types.TemplateMessage<Types.ConfirmTemplate>;
declare function createCarouselTemplate(altText: string, columns: Types.ColumnObject[], { imageAspectRatio, imageSize, quickReply, }?: {
    imageAspectRatio?: 'rectangle' | 'square';
    imageSize?: 'cover' | 'contain';
    quickReply?: Types.QuickReply;
}): Types.TemplateMessage<Types.CarouselTemplate>;
declare function createImageCarouselTemplate(altText: string, columns: Types.ImageCarouselColumnObject[], options?: Types.MessageOptions): Types.TemplateMessage<Types.ImageCarouselTemplate>;
declare function createFlex(altText: string, contents: Types.FlexContainer, options?: Types.MessageOptions): Types.FlexMessage;
declare const Line: {
    createText: typeof createText;
    createImage: typeof createImage;
    createVideo: typeof createVideo;
    createAudio: typeof createAudio;
    createLocation: typeof createLocation;
    createSticker: typeof createSticker;
    createImagemap: typeof createImagemap;
    createTemplate: typeof createTemplate;
    createButtonsTemplate: typeof createButtonTemplate;
    createButtonTemplate: typeof createButtonTemplate;
    createConfirmTemplate: typeof createConfirmTemplate;
    createCarouselTemplate: typeof createCarouselTemplate;
    createImageCarouselTemplate: typeof createImageCarouselTemplate;
    createFlex: typeof createFlex;
};
export default Line;
//# sourceMappingURL=Line.d.ts.map